Update an object
curl --request PATCH \
--url https://api.connect-crm.com/v1/objects/{identifier} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"singular_noun": "<string>",
"plural_noun": "<string>",
"archived_at": "2024-09-04T20:45:09Z"
}
'import requests
url = "https://api.connect-crm.com/v1/objects/{identifier}"
payload = {
"singular_noun": "<string>",
"plural_noun": "<string>",
"archived_at": "2024-09-04T20:45:09Z"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
singular_noun: '<string>',
plural_noun: '<string>',
archived_at: '2024-09-04T20:45:09Z'
})
};
fetch('https://api.connect-crm.com/v1/objects/{identifier}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": {
"workspace_id": "9293961c-df93-4d6d-a2cc-fc3e353b2d10",
"object_id": "9293961c-df93-4d6d-a2cc-fc3e353b2d10"
},
"slug": "<string>",
"singular_noun": "<string>",
"plural_noun": "<string>",
"created_at": "2024-09-04T20:45:09Z",
"epithet_path": {
"attribute_id": "<string>",
"object_id": "<string>"
},
"is_system_object": true,
"archived_at": "2024-09-04T20:45:09Z"
}
}{
"statusCode": 400,
"type": "invalid_request_error",
"code": "validation_type",
"requestId": "123e4567-e89b-12d3-a456-426655440000"
}{
"statusCode": 404,
"type": "not_authorized_error",
"code": "not_authorized",
"requestId": "123e4567-e89b-12d3-a456-426655440000"
}{
"statusCode": 403,
"type": "forbidden_error",
"code": "forbidden",
"requestId": "123e4567-e89b-12d3-a456-426655440000"
}{
"statusCode": 404,
"type": "invalid_request_error",
"code": "not_found",
"requestId": "123e4567-e89b-12d3-a456-426655440000"
}{
"statusCode": 409,
"type": "invalid_request_error",
"code": "",
"requestId": "123e4567-e89b-12d3-a456-426655440000"
}{
"statusCode": 500,
"type": "invalid_error",
"code": "",
"requestId": "123e4567-e89b-12d3-a456-426655440000"
}Objects
Update an object
Updates a single object. The object to be updated is identified by its ID.
PATCH
/
v1
/
objects
/
{identifier}
Update an object
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
A UUID or slug to identify the object.
Body
application/json
Response
Success
Show child attributes
Show child attributes
⌘I